<?php

declare(strict_types=1);

namespace Dedi\SyliusColissimoPlugin\Widget\Colissimo;

class ColissimoParameters
{
    public const COLISSIMO_LOGIN = 'dedi_sylius_colissimo_login';

    public const COLISSIMO_PASSWORD = 'dedi_sylius_colissimo_password';

    public const COLISSIMO_DEFAULT_LOCALE = 'dedi_sylius_colissimo_default_locale';

    public const COLISSIMO_COUNTRY_LIST = 'dedi_sylius_colissimo_country_list';

    public const COLISSIMO_COUNTRY = 'dedi_sylius_colissimo_country';

    public const COLISSIMO_PREPARATION_TIME = 'dedi_sylius_colissimo_preparation_time';

    public const COLISSIMO_URL_SERVER = 'dedi_sylius_colissimo_url_colissimo';

    public const COLISSIMO_WSDL = 'dedi_sylius_colissimo_wsdl';

    public const COLISSIMO_SHIPPING_METHOD_CODE = 'dedi_sylius_colissimo_shipping_method_code';

    public const DEFAULT_MODE = 'widget';

    public const DEFAULT_LOCALE = 'fr';

    public const DEFAULT_COUNTRY_LIST = 'FR';

    public const DEFAULT_COUNTRY = 'FR';

    public const DEFAULT_PREPARATION_TIME = 1;

    public const DEFAULT_URL_COLISSIMO = 'https://ws.colissimo.fr';

    public const DEFAULT_URL_COLISSIMO_AUTH = 'https://ws.colissimo.fr/widget-point-retrait/rest/authenticate.rest';

    public const DEFAULT_WSDL_COLISSIMO = 'https://ws.colissimo.fr/pointretrait-ws-cxf/PointRetraitServiceWS/2.0?wsdl';

    public const DEFAULT_METHOD_CODE = 'colissimo_relay';
}
