<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusColissimoPlugin\Application\src\Entity;

use Dedi\SyliusColissimoPlugin\Webservice\Model\ShippingMethodGatewayAwareInterface;
use Dedi\SyliusColissimoPlugin\Webservice\Model\ShippingMethodGatewayTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\ShippingMethod as BaseShippingMethod;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_shipping_method")
 */
class ShippingMethod extends BaseShippingMethod implements ShippingMethodGatewayAwareInterface
{
    use ShippingMethodGatewayTrait;
}
