<?php

declare(strict_types=1);

namespace Dedi\SyliusColissimoPlugin\Webservice\Model;

use Doctrine\ORM\Mapping as ORM;

trait ShippingMethodGatewayTrait
{
    /** @ORM\Column(name="gateway", type="string", nullable=true) */
    protected $gateway;

    public function getGateway(): ?string
    {
        return $this->gateway;
    }

    public function setGateway(?string $gateway): self
    {
        $this->gateway = $gateway;

        return $this;
    }
}
